Bifgmcop {VGAM} | R Documentation

## Farlie-Gumbel-Morgenstern's Bivariate Distribution

### Description

Density, distribution function, and random generation for the (one parameter) bivariate Farlie-Gumbel-Morgenstern's distribution.

### Usage

    dbifgmcop(x1, x2, apar, log = FALSE)
    pbifgmcop(q1, q2, apar)
    rbifgmcop(n, apar)

### Arguments

`x1, x2, q1, q2` | vector of quantiles.
`n` | number of observations. Same as in `runif`.
`apar` | the association parameter.
`log` | Logical. If `TRUE` then the logarithm is returned.

### Details

See `bifgmcop`, the VGAM family functions for estimating the parameter by maximum likelihood estimation, for the formula of the cumulative distribution function and other details.

### Value

`dbifgmcop` gives the density, `pbifgmcop` gives the distribution function, and `rbifgmcop` generates random deviates (a two-column matrix).

### Author(s)

T. W. Yee

### See Also

`bifgmcop`.

### Examples

    ## Not run:  N <- 101; x <- seq(0.0, 1.0, len = N); apar <- 0.7
    ox <- expand.grid(x, x)
    zedd <- dbifgmcop(ox[, 1], ox[, 2], apar = apar)
    contour(x, x, matrix(zedd, N, N), col = "blue")
    zedd <- pbifgmcop(ox[, 1], ox[, 2], apar = apar)
    contour(x, x, matrix(zedd, N, N), col = "blue")

    plot(r <- rbifgmcop(n = 3000, apar = apar), col = "blue")
    par(mfrow = c(1, 2))
    hist(r[, 1])  # Should be uniform
    hist(r[, 2])  # Should be uniform

    ## End(Not run)

[Package VGAM version 1.0-4 Index]